Results 1 to 6 of 6

Thread: Burst'ing my interior Elevation command

  1. #1
    Member
    Join Date
    2007-08
    Posts
    4
    Login to Give a bone
    0

    Thumbs up Burst'ing my interior Elevation command

    Okay, so I've got my interior elevation marker set up so that when I hit my icon, I place the marker, provide the tags/sheet number. I want the command to burst the entity at the end, so in a case where I wouldn't be using one or more of the elevation markers, they can be deleted... this is what I have so far- It works great, but my Burst is messed up- I have to return, and then select the entity for the command to finish- How can I get the command to run completely? Thanks in advance, Justin.

    Code:
    (Defun C:IntElev (/ Ent1 Layname Laycolor LayLinetype)
      (setq Layname "z-anno-symb")
      (setq Laycolor "12")
      (setq LayLinetype "Continuous")
      (laycheck)
    
      (Command "insert"
    	   "IntrElev.1"
    	   pause
    	   (getvar "Dimscale")
                       ""
    	   ""
    	   pause
    	   pause
    	   pause
    	   pause
    	   pause
      )
      (setq Ent1 (entlast))
      (command "ddatte" Ent1)
      (c:burst "" "Ent1" "")
    )
    Last edited by Opie; 2007-08-10 at 06:25 PM. Reason: [CODE] tags added

  2. #2
    I could stop if I wanted to
    Join Date
    2006-07
    Posts
    233
    Login to Give a bone
    0

    Default Re: Burst'ing my interior Elevation command

    Try
    Code:
    (command "burst" Ent1 "")
    instead of
    Code:
    (c:burst "" "Ent1" "")

  3. #3
    Member
    Join Date
    2007-08
    Posts
    4
    Login to Give a bone
    0

    Default Re: Burst'ing my interior Elevation command

    originally I was running (command "burst" Ent1 "")
    but when I tried to run the string, it fails because Burst is not a command, it is a Lisp routine. -part of the express tools set

    (autocad 2007, sp2)

  4. #4
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL
    Posts
    3,400
    Login to Give a bone
    0

    Default Re: Burst'ing my interior Elevation command

    Try:
    Code:
     (sssetfirst nil (ssget "_L"))
    (c:burst)
    Tom Beauford P.S.M. - Civil 2020 on Windows 10 Enterprise
    Design Analysis - Leon County Public Works/Engineering Wrap [CODE] tags around selected text
    2280 Miccosukee Rd. Tallahassee, FL 32308-5310
    Ph# (850)606-1516 Home Page

  5. #5
    Member
    Join Date
    2007-08
    Posts
    4
    Login to Give a bone
    0

    Default Re: Burst'ing my interior Elevation command

    Quote Originally Posted by Tom Beauford
    Try:
    Code:
     (sssetfirst nil (ssget "_L"))
    (c:burst)
    perfect- thank you!! what is that doing?

  6. #6
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL
    Posts
    3,400
    Login to Give a bone
    0

    Default Re: Burst'ing my interior Elevation command

    Quote Originally Posted by justinbalogjones
    perfect- thank you!! what is that doing?
    From Autocad help:
    sssetfirst

    Sets which objects are selected and gripped
    (sssetfirst gripset[pickset])
    The gripset argument is ignored; the selection set of objects specified by pickset are selected and gripped.

    Back in r14 Objects could be gripped without being selected. No longer possible the gripset should always be nil when using sssetfirst in routines.

    Enter (sssetfirst nil (ssget "_L")) at the command line and it will deselect all and select the last object. Works with any selection set.
    Tom Beauford P.S.M. - Civil 2020 on Windows 10 Enterprise
    Design Analysis - Leon County Public Works/Engineering Wrap [CODE] tags around selected text
    2280 Miccosukee Rd. Tallahassee, FL 32308-5310
    Ph# (850)606-1516 Home Page

Similar Threads

  1. 2014: BURST command Error
    By darrellwinfrey589074 in forum AutoCAD General
    Replies: 2
    Last Post: 2014-03-25, 02:56 PM
  2. Convert Explode command to Burst command?
    By stusic in forum AutoLISP
    Replies: 39
    Last Post: 2013-06-18, 11:55 PM
  3. Looking to get the BURST command in LT
    By elipman in forum AutoCAD LT - General
    Replies: 3
    Last Post: 2011-11-14, 01:19 PM
  4. Using the Burst command with LISP ?
    By stephen.coff in forum AutoLISP
    Replies: 16
    Last Post: 2011-02-08, 04:20 PM
  5. Modified Burst Command
    By thomas-p in forum AutoLISP
    Replies: 6
    Last Post: 2006-03-17, 02:51 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •